Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004171OCamlOCaml generalpublic2006-11-27 19:122009-03-31 13:08
Reportermonniaux 
Assigned Toxleroy 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11.0 
Summary0004171: configure should have an option to specify the assembler command and the host arch
DescriptionOn Linux / x86_64, it is possible to have both 32-bit and 64-bit applications. 32-bit applications may sometimes be preferable (less memory is used, as experienced with Astrée).

This simply requires building OCaml for a i686 target instead of an amd64 target. I've done it, and here are the issues I've noticed:
* there's no option to force arch to be i686-... instead of amd64-...; easy fix: the configure script should accept a -host command line option
* there's no option to specify the assembler that ocamlopt uses:
./asmcomp/i386/proc.ml: Ccomp.command ("as -o " ^ F
is hardwired. If one wants to compile in 32-bit mode on an x86_64 machine, one has to replace as by as -32 in that line.

Of course, seasoned programmers can patch OCaml's source by hand, but still...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003870)
monniaux (reporter)
2006-11-27 19:22

This should also affect $(AS) and $(ASPP). Note that changing $(AS) does not affect the assembler that ocamlopt uses...
(0003925)
xleroy (administrator)
2007-02-21 15:31

configure does support the -host option. The ability to configure the assembler used by ocamlopt would be good, however. I keep this as a feature wish.
(0004221)
xleroy (administrator)
2007-10-30 13:38

Tentative implementation in CVS trunk. To be tested on platforms other than Linux/x86_64.

- Issue History
Date Modified Username Field Change
2006-11-27 19:12 monniaux New Issue
2006-11-27 19:22 monniaux Note Added: 0003870
2007-02-21 15:31 xleroy Note Added: 0003925
2007-02-21 15:31 xleroy Assigned To => xleroy
2007-02-21 15:31 xleroy Status new => acknowledged
2007-10-30 13:38 xleroy Note Added: 0004221
2007-10-30 13:38 xleroy Status acknowledged => resolved
2007-10-30 13:38 xleroy Resolution open => fixed
2009-03-31 13:08 xleroy Status resolved => closed
2009-03-31 13:08 xleroy Fixed in Version => 3.11.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker